Hooks:PostHook(ElementFilter, "_check_difficulty", "DiffCheckFallbackFix", function(self)
	local diff = Global.game_settings and Global.game_settings.difficulty or "hard"
	--Death Sentence fallback
	local is_difficulty_sm_wish = self._values.difficulty_sm_wish == nil and self._values.difficulty_overkill_290 or self._values.difficulty_sm_wish

	if is_difficulty_sm_wish and diff == "sm_wish" then
		return true
	end
	
	--Mayhem fallback
	local is_difficulty_easy_wish = self._values.difficulty_easy_wish == nil and self._values.difficulty_overkill_290 or self._values.difficulty_easy_wish

	if is_difficulty_easy_wish and diff == "easy_wish" then
		return true
	end
end)